# scPlot

Interactive single cell plotting library for [anndata](https://anndata.readthedocs.io/) objects.

## Installation
`pip install scplot`

# Features
 - Plot millions of cells on a 2-dimensional grid.
 - Interactively explore multiple features and embeddings simultaneously.

# Screenshots
![embedding](https://github.com/klarman-cell-observatory/scPlot/raw/master/images/embedding.png)
![composition_plot](https://github.com/klarman-cell-observatory/scPlot/raw/master/images/composition_plot.png)
![heatmap](https://github.com/klarman-cell-observatory/scPlot/raw/master/images/heatmap.png)
![dotplot](https://github.com/klarman-cell-observatory/scPlot/raw/master/images/dotplot.png)
![violin](https://github.com/klarman-cell-observatory/scPlot/raw/master/images/violin.png)
![scatter](https://github.com/klarman-cell-observatory/scPlot/raw/master/images/scatter.png)
![variable_features](https://github.com/klarman-cell-observatory/scPlot/raw/master/images/variable_features.png)

## Example Notebook
[View example notebook](https://nbviewer.jupyter.org/github/klarman-cell-observatory/scPlot/blob/master/notebooks/scplot.ipynb?flush_cache=true)

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/klarman-cell-observatory/scPlot/master)


